log4shib(3)

NAME
log4shib - The top level namespace for all 'Log for C++' types and classes.

SYNOPSIS

  Namespaces
namespace threading

  Classes
class AbortAppender
This Appender causes the application to abort() upon the first append() call.
class Appender
Implement this interface for your own strategies for printing log statements.
class AppenderSkeleton
AppenderSkeleton is a helper class, simplifying implementation of Appenders: it already takes care of handling of Thresholds and Filters.
class BasicConfigurator
This class implements a trivial default configuration for log4shib: it adds a FileAppender that logs to stdout and uses a BasicLayout to the root Category.
class BasicLayout
BasicLayout is a simple fixed format Layout implementation.
class Category
This is the central class in the log4j package.
struct CategoryNameComponent
class CategoryStream
This class enables streaming simple types and objects to a category.
class ConfigureFailure
Exception class for configuration.
class FileAppender
class Filter
Users should extend this class to implement customized logging event filtering.
class FixedContextCategory
This Category subclass replaces the NDC field in LoggingEvents with a fixed context string.
struct FormatModifierComponent
class HierarchyMaintainer
HierarchyMaintainer is an internal log4shib class.
class IdsaAppender
IdsaAppender is an Appender that sends LoggingEvents to the IDS/A logger and reference monitor by Marc Welz.
class Layout
Extend this abstract class to create your own log layout format.
class LayoutAppender
LayoutAppender is a common superclass for all Appenders that require a Layout.
struct LoggingEvent
The internal representation of logging events.
struct MessageComponent
struct MillisSinceEpochComponent
class NDC
The NDC class implements nested diagnostic contexts as defined by Neil Harrison in the article 'Patterns for Logging Diagnostic Messages' part of the book '<i>Pattern Languages of Program Design 3</i>' edited by Martin et al. "
struct NDCComponent
class NTEventLogAppender
NTEventLogAppender is an Appender that sends LoggingEvents to the Windows event log.
class OstreamAppender
OstreamAppender appends LoggingEvents to ostreams.
class PatternLayout
PatternLayout is a simple fixed format Layout implementation.
class Priority
The Priority class provides importance levels with which one can categorize log messages.
struct PriorityComponent
struct ProcessorTimeComponent
class Properties
class PropertyConfigurator
Property configurator will read a config file using the same (or similar) format to the config file used by log4j.
class PropertyConfiguratorImpl
class RemoteSyslogAppender
RemoteSyslogAppender sends LoggingEvents to a remote syslog system.
class RollingFileAppender
RollingFileAppender is a FileAppender that rolls over the logfile once it has reached a certain size limit.
struct SecondsSinceEpochComponent
class SimpleConfigurator
This class implements a simple Configurator for log4shib.
class SimpleLayout
BasicLayout is a simple fixed format Layout implementation.
struct StringLiteralComponent
class StringQueueAppender
This class puts log messages in an in-memory queue.
class StringUtil
class SyslogAppender
SyslogAppender sends LoggingEvents to the local syslog system.
struct ThreadNameComponent
class TimeStamp
A simple TimeStamp abstraction.
struct TimeStampComponent
class Win32DebugAppender
Win32DebugAppender simply sends the log message to the default system debugger on Win32 systems.

  Typedefs
typedef std::set< Appender * > AppenderSet

  Functions
LOG4SHIB_EXPORT CategoryStream & eol (CategoryStream &os)
eol manipulator

  Variables
class LOG4SHIB_EXPORT Filter
class LOG4SHIB_EXPORT Category
class LOG4SHIB_EXPORT CategoryStream

Detailed Description

The top level namespace for all 'Log for C++' types and classes.

Typedef Documentation

  typedef std::set<Appender *> log4shib::AppenderSet

Function Documentation

  CategoryStream & log4shib::eol (CategoryStream & os)

eol manipulator

Variable Documentation

  class LOG4SHIB_EXPORT log4shib::Category

  class LOG4SHIB_EXPORT log4shib::CategoryStream

  class LOG4SHIB_EXPORT log4shib::Filter

Author

Generated automatically by Doxygen for log4shib from the source code.